[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TZipFileEntries.Entries

Entries (files) in the zip archive

## Declaration

Source position: zipper.pp line 408

`public property TZipFileEntries.Entries[AIndex: Integer] : TZipFileEntry read GetZ write SetZ; default;`

## Description

Entries is an indexed TZipFileEntry property which provides indexed access to the Items in the collection by their ordinal position. The item values are cast to the TZipFileEntry type used in TZipFileEntries.

Entries is the default property in TZipFileEntries, and allows an enumerator to be used to access the TZipFileEntry values in the collection.

## See also

TZipFileEntry |  | Represents a file or directory added to a .ZIP file
TCollection.Items